﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using Kooboo.Web.Mvc.Grid;

namespace MvcFormSample.Models
{
    [GridAction(ActionName = "Delete", DisplayName = "Delete", RouteValueProperties = "UserName")]
    public class RegisterModel
    {
        [GridColumn]
        [Required]
        [DisplayName("User name")]
        public string UserName { get; set; }

        [GridColumn]
        [Required]
        [DataType(DataType.EmailAddress)]
        [DisplayName("Email address")]
        public string Email { get; set; }

        [Required]
        [DataType(DataType.Password)]
        [DisplayName("Password")]
        public string Password { get; set; }

        [Required]
        [DataType(DataType.Password)]
        [DisplayName("Confirm password")]
        public string ConfirmPassword { get; set; }
    }

    //public class RegisterModel
    //{
    //    [Required]
    //    [DisplayName("User name")]
    //    public string UserName { get; set; }

    //    [Required]
    //    [DataType(DataType.EmailAddress)]
    //    [DisplayName("Email address")]
    //    public string Email { get; set; }

    //    [Required]
    //    [DataType(DataType.Password)]
    //    [DisplayName("Password")]
    //    public string Password { get; set; }

    //    [Required]
    //    [DataType(DataType.Password)]
    //    [DisplayName("Confirm password")]
    //    public string ConfirmPassword { get; set; }
    //}
}