﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Kooboo.Web.Mvc.Grid.GridModel>" %>
<div class="table-container">
    <table>
        <thead>
            <tr>
                <% foreach (var column in Model.GridColumns)
                   {  %>
                <th>
                    <%:column.GetFormattedHeaderText(ViewContext)%>
                </th>
                <%} %>
                <%if (Model.GridActions.Count() > 0)
                  { %>
                <th>
                    <%:"Actions" %>
                </th>
                <%} %>
            </tr>
        </thead>
        <tbody>
            <% 
                foreach (var item in Model.GridItems)
                {
            %>
            <tr <% if(item.IsAlternatingItem) {%>class="alternatingItem" <%} %>>
                <% foreach (var itemValue in item.GetItemValues(ViewContext))
                   {%>
                <td>
                    <%: itemValue %>
                </td>
                <%} %>
                <td>
                    <% foreach (var action in item.GetItemActions(ViewContext))
                       {
                           if (action.Visible)
                           {%>
                    <%: Html.ActionLink(action.DisplayName, action.ActionName, action.RouteValues, new RouteValueDictionary(new
{
    onclick = string.IsNullOrEmpty(action.ConfirmMessage) ? "" :
        "javascript:return confirm('" + action.ConfirmMessage + "')"
}))%>
                    <%  }
                       } %>
                </td>
            </tr>
            <%
                }
            %>
        </tbody>
    </table>
</div>
