﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Mvc;
using System.Collections;
using System.Web.Mvc.Html;
namespace Kooboo.Web.Mvc.Grid
{
    public static class GridExtensions
    {
        public static IHtmlString GridFor(this HtmlHelper html, Type modelType, IEnumerable dataSource)
        {
            return new HtmlString(html.Partial("grid", new GridModel(modelType,dataSource)).ToString());
        }
        public static IHtmlString GridForModel<T>(this HtmlHelper<IEnumerable<T>> html)
        {
            return html.GridFor(typeof(T), html.ViewData.Model);
        }
    }
}
