﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace Kooboo.Web.Mvc.Menu.Configuration
{
    public class MenuSection : ConfigurationSection
    {
        [ConfigurationProperty("items", IsDefaultCollection = false)]
        public MenuItemElementCollection Items
        {
            get
            {
                MenuItemElementCollection itemsCollection =
                (MenuItemElementCollection)base["items"];
                return itemsCollection;
            }
        }

        public static MenuSection GetSection()
        {
            return (MenuSection)ConfigurationManager.GetSection("menu");
        }
    }
}
